/*
 * @(#)src/classes/sov/java/util/jar/JavaUtilJarAccessImpl.java, asdev, as142 1.2.2.2
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v1.4.2
 * (C) Copyright IBM Corp. 2004. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 * Copyright 2003 Sun Microsystems, Inc. All rights reserved.
 * ===========================================================================
 */
/*
 * @(#)JavaUtilJarAccessImpl.java	1.3 03/01/23
 *
 */
 
/* 
 * ===========================================================================
 * Change activity:
 *
 * Reason  Date   Origin    Description
 * ------  ------ --------  -------------------------------------------------- 
 * 160250 260510 jitendsi Integrating Sun Security Bulletin 6742654
 *                        
 */
 

package java.util.jar;

import java.io.IOException;
import java.net.URL;                                     /*ibm@160250*/
import java.security.CodeSource;                         /*ibm@160250*/ 
import java.security.cert.Certificate;                   /*ibm@160250*/
import java.util.Enumeration;                            /*ibm@160250*/
import java.util.List;                                   /*ibm@160250*/
import java.util.jar.JarEntry;                           /*ibm@160250*/
import sun.misc.JavaUtilJarAccess;

class JavaUtilJarAccessImpl implements JavaUtilJarAccess {
    public boolean jarFileHasClassPathAttribute(JarFile jar) throws IOException {
        return jar.hasClassPathAttribute();
    }

    /*ibm@160250-Starts*/
    public CodeSource[] getCodeSources(JarFile jar, URL url) {
        return jar.getCodeSources(url);
    }

    public CodeSource getCodeSource(JarFile jar, URL url, String name) {
        return jar.getCodeSource(url, name);
    }

    public Enumeration entryNames(JarFile jar, CodeSource[] cs) {
        return jar.entryNames(cs);
    }

    public Enumeration entries2(JarFile jar) {
        return jar.entries2();
    }

    public void setEagerValidation(JarFile jar, boolean eager) {
        jar.setEagerValidation(eager);
    }

    public List getManifestDigests(JarFile jar) {
        return jar.getManifestDigests();
    }
    /*ibm@160250-Ends*/
}
